// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__197F9090_DBAB_4463_967A_5CDA7D27A526__INCLUDED_)
#define AFX_MAINFRM_H__197F9090_DBAB_4463_967A_5CDA7D27A526__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMarkersView;

class CMainFrame : public CFrameWnd
{
	
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
protected:
	CSplitterWnd m_wndSplitter;
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
	CMarkersView* GetRightPane();
	CMarkersView* GetLeftPane();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnMarkersTogglebookmark();
	afx_msg void OnMarkersNextbookmark();
	afx_msg void OnMarkersPreviousbookmark();
	afx_msg void OnMarkersTogglebreakpoint();
	afx_msg void OnMarkersRemoveAllBreakpoints();
	afx_msg void OnEditFind();
	afx_msg void OnEditFindnext();
	afx_msg void OnEditFindprev();
	afx_msg void OnMarkersToggleStaticmarker();
	afx_msg void OnMarkersFullline();
	afx_msg void OnUpdateMarkersFullline(CCmdUI* pCmdUI);
	afx_msg void OnMarkersLinemarker();
	afx_msg void OnUpdateMarkersLinemarker(CCmdUI* pCmdUI);
	afx_msg void OnMarkersNextdiff();
	afx_msg void OnMarkersPrevdiff();
	afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__197F9090_DBAB_4463_967A_5CDA7D27A526__INCLUDED_)
